﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Spark
{
    public partial class ErrorControl : BaseView
    {
        public ErrorControl(MainForm objForm)
        {
            InitializeComponent();
            Init(objForm);
        }

        private void _btnOk_Click(object sender, EventArgs e)
        {
            Environment.Exit(0);
        }

        private void ErrorControl_Load(object sender, EventArgs e)
        {
            if (_objForm.LoadingErrorMessage != string.Empty)
            {
                _lblLink.Hide();
                _lblMessage.Hide();
                _txtError.Text = _objForm.LoadingErrorMessage;
                _txtError.Hide();
                _lblError.Show();
                _lblMessage2.Hide();
                _txtLogDir.Hide();
                
                _txtLogDir.Text = "Log File: " + Proteus.Globals.Logger.LogFilePath;
                _btnErrorDetails.Show();
            }
            else
            {
                Installer.InstallOption opt = _objForm.GetInstaller().GetOption(Installer.InstallOption.URLInfoAbout);
                string strLink="";
                if(opt!=null)
                 strLink = opt.Value;
                _lblLink.Text = strLink;
                _lblMessage.Show();
                _lblLink.Show();
                _lblMessage2.Show();
                _lblError.Hide();
                _txtError.Hide();
                _btnErrorDetails.Hide();
                _txtLogDir.Hide();
            }
        }

        private void _btnErrorDetails_Click(object sender, EventArgs e)
        {
            if (_txtError.Visible == false)
            {
                _txtError.Show();
                _lblError.Hide();
                _txtLogDir.Show();
            }
            else
            {
                _lblError.Show();
                _txtError.Hide();
                _txtLogDir.Hide();
            }
        }
    }
}
